ch.qos.logback.classic.jul

## Class JULHelper

- java.lang.Object
- - ch.qos.logback.classic.jul.JULHelper

    public class JULHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JULHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Level` `asJULLevel(Level lbLevel)`
`static Logger` `asJULLogger(Logger logger)`
`static Logger` `asJULLogger(String loggerName)`
`static String` `asJULLoggerName(String loggerName)`
`static boolean` `isRegularNonRootLogger(Logger julLogger)`
`static boolean` `isRoot(Logger julLogger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JULHelper

    public JULHelper()

### Method Detail

#### isRegularNonRootLogger

    public static final boolean isRegularNonRootLogger(Logger julLogger)

#### isRoot

    public static final boolean isRoot(Logger julLogger)

#### asJULLevel

    public static Level asJULLevel(Level lbLevel)

#### asJULLoggerName

    public static String asJULLoggerName(String loggerName)

#### asJULLogger

    public static Logger asJULLogger(String loggerName)

#### asJULLogger

    public static Logger asJULLogger(Logger logger)